Third-Party Library Compatibility

From IronPython Cookbook

This page is a list of third-party library modules that have been tested with IronPython. Every entry should list the version of the library, the IronPython version used, any CodePlex issues that were hit (or filed), any dependencies that are required (which should be listed on the corresponding pages), and any other workarounds that had to be performed.

The page lists module not included with Python; see also Application Compatibility, Web Application Compatibility, and Standard Library Compatibility.

Contents


Genshi

Version: trunk

IronPython Version: 2.0b1

Status: Doesn't work

CodePlex issues hit: #15397

Genshi depends on the compiler module, which hasn't been implemented yet.

Pygments

Version: 0.9

IronPython Version: 2.0b1

Status: Doesn't work

CodePlex issues hit: #16657

Pygments uses regex in the lexers, and the regex module in IronPython does not yet support all options using the (?...) notation. Possibly, some lexers may work. (This may be fixed in IronPython 2.0B4 where several re related bugs have been fixed - alternatively it might be worth trying the PyPy pure Python version of the re engine.)


Back to Contents.

TOOLBOX
LANGUAGES